GoPinball.com
http://www.gopinball.com/forum/

Star Trek: Condition Red ULTIMATE Pro 1.04 - PROBLEM
http://www.gopinball.com/forum/viewtopic.php?f=2&t=11877
Page 1 of 1

Author:  EpicGod [ Mon Jul 22, 2019 3:22 pm ]
Post subject:  Star Trek: Condition Red ULTIMATE Pro 1.04 - PROBLEM

I was updating to Star Trek: Condition Red ULTIMATE Pro 1.04 and when I launch this via Future Pinball, I get an error message that says:

Pinball Mediation Error
Script Error: Line 3650
Variable is undefined: 'xBAM'

How do I fix this?

I am a novice, fyi.

Author:  GeorgeH [ Mon Jul 22, 2019 4:56 pm ]
Post subject:  Re: Star Trek: Condition Red ULTIMATE Pro 1.04 - PROBLEM

Most likely you either don't have BAM installed or Star Trek requires use of a more recent version of BAM than you have installed. Try updating it with this:

https://www.ravarcade.pl/files/FP-BAM-setup.exe

George

Author:  EpicGod [ Mon Jul 22, 2019 8:01 pm ]
Post subject:  Re: Star Trek: Condition Red ULTIMATE Pro 1.04 - PROBLEM

didn't work

Author:  GeorgeH [ Mon Jul 22, 2019 10:30 pm ]
Post subject:  Re: Star Trek: Condition Red ULTIMATE Pro 1.04 - PROBLEM

Line 3650 has a BAM code that is part of a subroutine named "AllPlasOff()". I tried running the subroutine with a cheat code and got no errors so I am unable to repeat your problem. Try playing a table and then open the BAM menu. Post here the version of BAM you are running. You can see the BAM version number on the bottom right part of the BAM menu.

George

Author:  Gimli [ Tue Jul 23, 2019 9:13 am ]
Post subject:  Re: Star Trek: Condition Red ULTIMATE Pro 1.04 - PROBLEM

To see if you can otherwise run the table , you can bypass the code as follows:

1.use "find" option in script editor to find Sub AllPlasOff

2. Add the words "exit sub' to first line

Code:
SubAllPlasOff()
Exit sub
Bla bla bla...
End Sub


3. Now try game

..........................
The other thing to try is removing the words "Option Explicit" if they exist at top of code...BAM used to require doing this...for some reason

I agree with George this usually means you are using an older version of BAM

Page 1 of 1 All times are UTC - 5 hours [ DST ]
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
http://www.phpbb.com/